<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetPosition Method (IEdmCardControl5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCardControl5 Interface : GetPosition Method (IEdmCardControl5)

Visual Basic
C#
C++/CLI

plX
  X-coordinate of the top-left corner of the control

plY
  Y-coordinate of the top-left corner of the control

plWidth
  Width of the control in pixels

plHeight
  Height of the control in pixels

Gets the dimensions and position of this control.

# Syntax

Visual Basic |
--- | ---

    Sub GetPosition( _
       ByRef plX As System.Integer, _
       ByRef plY As System.Integer, _
       ByRef plWidth As System.Integer, _
       ByRef plHeight As System.Integer _
    )

C# |
--- | ---

    void GetPosition(
       out System.int plX,
       out System.int plY,
       out System.int plWidth,
       out System.int plHeight
    )

C++/CLI |
--- | ---

    void GetPosition(
    &   [Out] System.int plX,
    &   [Out] System.int plY,
    &   [Out] System.int plWidth,
    &   [Out] System.int plHeight
    )

#### Parameters

plX
  X-coordinate of the top-left corner of the control
plY
  Y-coordinate of the top-left corner of the control
plWidth
  Width of the control in pixels
plHeight
  Height of the control in pixels

# Example

See the IEdmCardControl6 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmCardControl5 Interface
IEdmCardControl5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2